package com.sv.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Entity - 用户预约的场馆课程票号
 *
 * @author lihong
 * @since 2018-08-06
 */
public class MemberLessonTicket implements Serializable {


    /**
     * 
     */
    private Integer id;

    private String counts;

    public String getCounts() {
        return counts;
    }

    public void setCounts(String counts) {
        this.counts = counts;
    }

    /**
     *手机号码
     */
    private String mobile;

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    /**
     * 场馆类型
     */
    private Integer veneuType;

    /**
     * 场馆ID
     */
    private Integer venueId;

    /**
     * 支付时间
     */
    private Date payTime;

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    /**
     * 上级订单号
     */
    private Integer parentOrderId;

    public Integer getParentOrderId() {
        return parentOrderId;
    }

    public void setParentOrderId(Integer parentOrderId) {
        this.parentOrderId = parentOrderId;
    }

    /**
     * 外部订单号
     */
    private String tradeSn;

    public String getTradeSn() {
        return tradeSn;
    }

    public void setTradeSn(String tradeSn) {
        this.tradeSn = tradeSn;
    }

    /**
     * 会员卡类型
     */
    private String cardType;

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    private String prices;

    public String getPrices() {
        return prices;
    }

    public void setPrices(String prices) {
        this.prices = prices;
    }

    /**
     * 课程价格
     */
    private String price;

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    /**
     * 用户名称
     */
    private String nickname;

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    /**
     * 课程名称
     */
    private String lessonname;

    public String getLessonname() {
        return lessonname;
    }

    public void setLessonname(String lessonname) {
        this.lessonname = lessonname;
    }

    /**
     * 场馆名称
     */
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 课程票号ID
     */
    private Integer ticketId;

    /**
     * 课程票号
     */
    private String ticket;

    /**
     * 课程ID
     */
    private Integer lessonId;

    /**
     * 用户ID
     */
    private Integer memberId;

    /**
     * 预约课程支付订单号
     */
    private String orderSn;

    /**
     * 入场支付方式
     */
    private Integer payType;

    /**
     * 用户会员卡ID
     */
    private Integer memberCardId;

    /**
     * 支付状态
     */
    private Integer payStatus;

    /**
     * 使用状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     */
    private Integer status;

    /**
     * 品台来源ID
     */
    private Integer platformId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置场馆类型
     *
     * @param veneuType 场馆类型
     */
    public void setVeneuType(Integer veneuType){
        this.veneuType = veneuType;
    }

    /**
     * 获取场馆类型
     *
     * @return 场馆类型
     */
    public Integer getVeneuType(){
        return veneuType;
    }


    /**
     * 设置场馆ID
     *
     * @param venueId 场馆ID
     */
    public void setVenueId(Integer venueId){
        this.venueId = venueId;
    }

    /**
     * 获取场馆ID
     *
     * @return 场馆ID
     */
    public Integer getVenueId(){
        return venueId;
    }


    /**
     * 设置课程票号ID
     *
     * @param ticketId 课程票号ID
     */
    public void setTicketId(Integer ticketId){
        this.ticketId = ticketId;
    }

    /**
     * 获取课程票号ID
     *
     * @return 课程票号ID
     */
    public Integer getTicketId(){
        return ticketId;
    }


    /**
     * 设置课程票号
     *
     * @param ticket 课程票号
     */
    public void setTicket(String ticket){
        this.ticket = ticket;
    }

    /**
     * 获取课程票号
     *
     * @return 课程票号
     */
    public String getTicket(){
        return ticket;
    }


    /**
     * 设置课程ID
     *
     * @param lessonId 课程ID
     */
    public void setLessonId(Integer lessonId){
        this.lessonId = lessonId;
    }

    /**
     * 获取课程ID
     *
     * @return 课程ID
     */
    public Integer getLessonId(){
        return lessonId;
    }


    /**
     * 设置用户ID
     *
     * @param memberId 用户ID
     */
    public void setMemberId(Integer memberId){
        this.memberId = memberId;
    }

    /**
     * 获取用户ID
     *
     * @return 用户ID
     */
    public Integer getMemberId(){
        return memberId;
    }


    /**
     * 设置预约课程支付订单号
     *
     * @param orderSn 预约课程支付订单号
     */
    public void setOrderSn(String orderSn){
        this.orderSn = orderSn;
    }

    /**
     * 获取预约课程支付订单号
     *
     * @return 预约课程支付订单号
     */
    public String getOrderSn(){
        return orderSn;
    }


    /**
     * 设置入场支付方式
     *
     * @param payType 入场支付方式
     */
    public void setPayType(Integer payType){
        this.payType = payType;
    }

    /**
     * 获取入场支付方式
     *
     * @return 入场支付方式
     */
    public Integer getPayType(){
        return payType;
    }


    /**
     * 设置用户会员卡ID
     *
     * @param memberCardId 用户会员卡ID
     */
    public void setMemberCardId(Integer memberCardId){
        this.memberCardId = memberCardId;
    }

    /**
     * 获取用户会员卡ID
     *
     * @return 用户会员卡ID
     */
    public Integer getMemberCardId(){
        return memberCardId;
    }


    /**
     * 设置支付状态
     *
     * @param payStatus 支付状态
     */
    public void setPayStatus(Integer payStatus){
        this.payStatus = payStatus;
    }

    /**
     * 获取支付状态
     *
     * @return 支付状态
     */
    public Integer getPayStatus(){
        return payStatus;
    }


    /**
     * 设置使用状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     * @param status 使用状态
     */
    public void setStatus(Integer status){
        this.status = status;
    }

    /**
     * 获取使用状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     * @return 使用状态
     */
    public Integer getStatus(){
        return status;
    }


    /**
     * 设置品台来源ID
     *
     * @param platformId 品台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取品台来源ID
     *
     * @return 品台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

}